Skip to main content
GET
/
pools
/
{address}
/
volume
/
history
Historical Volume
curl --request GET \
  --url https://damm-v2.datapi.meteora.ag/pools/{address}/volume/history
const options = {method: 'GET'};

fetch('https://damm-v2.datapi.meteora.ag/pools/{address}/volume/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
const options = {method: 'GET'};

fetch('https://damm-v2.datapi.meteora.ag/pools/{address}/volume/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://damm-v2.datapi.meteora.ag/pools/{address}/volume/history
false
{
  "data": [
    {
      "fees": 123,
      "protocol_fees": 123,
      "timestamp": 1,
      "timestamp_str": "<string>",
      "volume": 123
    }
  ],
  "end_time": 1,
  "start_time": 1,
  "timeframe": "<string>"
}
{
"message": "<string>"
}

Path Parameters

address
string
required

Base58-encoded pool address

Query Parameters

timeframe
null | enum<string>
default:24h

Timeframe

Allowed values 5m 30m 1h 2h 4h 12h 24h

If omitted, the API uses 24h

Available options:
5m,
30m,
1h,
2h,
4h,
12h,
24h
start_time
integer

Unix timestamp in seconds (inclusive)

If omitted, the API uses a default range based on timeframe

Required range: x >= 0
end_time
integer

Unix timestamp in seconds (inclusive)

If omitted, the API uses "now" as the end

Required range: x >= 0

Response

data
object[]
required
end_time
integer<int64>
required
Required range: x >= 0
start_time
integer<int64>
required
Required range: x >= 0
timeframe
string | null